<?php

// 上传社会实践活动
require_once ("../user_include.inc");

ErrorLogger::doOutput("Compass...ajax_set_social_event_result.php....Start.", 0);

//获取参数
$unionId = ParamUtil::getRequestString("unionId");
$eventId = ParamUtil::getRequestNumber("eventId", 0);
$comment = ParamUtil::getRequestString("comment");//说明

$result = array();

//参数检查
if(empty($unionId || empty($eventId) || empty($comment))) {
	$result["message"] = "参数错误！";
	responseNG($result);
}

//判断用户是否存在
$param = array();
$param['unionid'] = $unionId;
$param['delete_flg'] = false;
$userList = UserMst::getList($param,'id','desc', 0, 1);
if(empty($userList)) {
	$result["message"] = "用户不存在！";
	responseNG($result);
}

//查询社会实践活动
//todo 以后改为家校系统查询
$socialEventDat = VolunteerEventDat::getById($eventId);
if(empty($socialEventDat)) {
	$result["message"] = "参数错误！";
	responseNG($result);
}

$userMst = $userList[0];

//添加用户完成情况
$socialEventMemberDat = new SocialEventMemberDat[0];
$socialEventMemberDat->social_event_id = $socialEventDat->id;
$socialEventMemberDat->user_id = $userMst->id;
$socialEventMemberDat->comment = $comment;
$socialEventMemberDat->save();

//处理上传图片
$aliHandler = new AliUploadHandler();
if(!empty($_FILES['photo']['tmp_name'])){
  $upload_file = FileUploadUtil::getScalarFile(@$_FILES['photo']);
  $tmp_file_name = date("Ymd") . "_" . trim(basename($upload_file->name));//保存的名字自定义，这里如果图片的名字原来的是aa.jp，保存成20200220_aa.jpg
  
  $url = $aliHandler->uploadImg($tmp_file_name, $upload_file->tmp_name);
  //这里的url就是http://compass-dev.oss-cn-beijing.aliyuncs.com/20200220_aa.jpg
  $socialEventMemberDat->images = $url;
}
$socialEventMemberDat->save();

//todo 改为通知家校系统用户

ErrorLogger::doOutput("Compass...ajax_set_social_event_result.php....End.", 0);

//返回结果
$result["message"] = "上传成功！";
responseOK($result);

function responseNG($result) {
	$result = array("status"=>"NG", "result"=>$result);
	print json_encode($result);
	exit;
}
function responseOK($result) {
	$result = array("status"=>"OK", "result"=>$result);
	print json_encode($result);
	exit;
}
?>